export const dialogTreeObj = {
  title: '所属分类',
  activityheight: '500px',
  searchIcon: false,
  configure: {
    children: 'children',
    label: 'avmatCategoriesName'
  }
}

export const dialogOptions = {
  stripe: true, // 斑马纹
  mutiSelect: false, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  border: true,
  height: 'calc(100vh - 380px)'
}

export const dialogColumns = (_this) => [
  {
    prop: 'avmatCatalogName',
    label: '航材名称'
  },
  {
    prop: 'avmatCatalogCode',
    label: '航材编号'
  },
  {
    prop: 'specification',
    label: '规格型号'
  },
  {
    prop: 'unit',
    label: '计量单位'
  },
  {
    prop: 'avmatCategoriesName',
    label: '航材分类'
  },
  {
    button: true,
    label: '操作',
    width: '100px',
    group: [
      {
        name: '选择',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.select(row)
        }
      }
    ]
  }
]
