import Layout from '@/layout/index.vue'

/**
 * statisticalAnalysisSafeguardSynthesize                保障综合分析
 * statisticalAnalysisSafeguardAchievementRate           保障达成率统计分析
 * statisticalAnalysisFundsStatistics                    经费统计分析
 * statisticalAnalysisSailingMaterialSpareParts          航材统计分析
 */

export const statisticalAnalysisSailingMaterialSpareParts = {
  path: '/statisticalAnalysis',
  redirect: '/statisticalAnalysis/statisticalAnalysisSafeguardSynthesize',
  component: Layout,
  name: 'StatisticalAnalysisSailingMaterialSpareParts',
  meta: {
    title: '统计分析',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/statisticalAnalysis/statisticalAnalysisSailingMaterialSpareParts',
      component: () => import('@/views/statisticalAnalysis/statisticalAnalysisSailingMaterialSpareParts/index.vue'),
      meta: {
        title: '军事指标'
      }
    }
  ]
}

// export const statisticalAnalysisFundsStatistics = {
//   path: '/statisticalAnalysis',
//   redirect: '/statisticalAnalysis/statisticalAnalysisSafeguardSynthesize',
//   component: Layout,
//   name: 'StatisticalAnalysisFundsStatistics',
//   meta: {
//     title: '统计分析',
//     icon: 'el-icon-s-platform'
//   },
//   children: [
//     {
//       path: '/statisticalAnalysis/statisticalAnalysisFundsStatistics',
//       component: () => import('@/views/statisticalAnalysis/statisticalAnalysisFundsStatistics/index.vue'),
//       meta: {
//         title: '军事指标'
//       }
//     }
//   ]
// }

// export const statisticalAnalysisSafeguardAchievementRate = {
//   path: '/statisticalAnalysis',
//   redirect: '/statisticalAnalysis/statisticalAnalysisSafeguardSynthesize',
//   component: Layout,
//   name: 'StatisticalAnalysisSafeguardAchievementRate',
//   meta: {
//     title: '统计分析',
//     icon: 'el-icon-s-platform'
//   },
//   children: [
//     {
//       path: '/statisticalAnalysis/statisticalAnalysisSafeguardAchievementRate',
//       component: () => import('@/views/statisticalAnalysis/statisticalAnalysisSafeguardAchievementRate/index.vue'),
//       meta: {
//         title: '保障达成率统计分析'
//       }
//     }
//   ]
// }

export const statisticalAnalysisSafeguardSynthesize = {
  path: '/statisticalAnalysis',
  redirect: '/statisticalAnalysis/statisticalAnalysisSafeguardSynthesize',
  component: Layout,
  name: 'StatisticalAnalysisSafeguardSynthesize',
  meta: {
    title: '统计分析',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/statisticalAnalysis/statisticalAnalysisSafeguardSynthesize',
      component: () => import('@/views/statisticalAnalysis/statisticalAnalysisSafeguardSynthesize/index.vue'),
      meta: {
        title: '经济指标'
      }
    }
  ]
}
