import Layout from '@/layout/index.vue'

//示例
export default [
  {
    name: 'Task',
    path: '/task',
    component: Layout,
    meta: {
      title: '质量管理',
      icon: 'el-icon-s-platform'
    },
    children: [
      {
        path: '/task/1',
        name: 'SJDR',
        meta: {
          parent: 'Task',
          title: '数据导入'
        }
      },
      {
        path: '/task/1/1',
        name: 'sjdr1',
        meta: {
          parent: 'SJDR',
          title: '数据导1入1'
        }
      },
      {
        path: '/task/1/1/1',
        name: 'sjdr2',
        component: () => import('@/views/system/user/index.vue'),
        meta: {
          parent: 'sjdr1',
          title: '数据导2入2'
        }
      },
      {
        path: '/task/1/1/2',
        name: 'sjdr3',
        component: () => import('@/views/system/user/index.vue'),
        meta: {
          parent: 'sjdr1',
          title: '数据导2入3'
        }
      },
      {
        path: '/task/1/2',
        name: 'FLYCan1',
        meta: {
          parent: 'Task',
          title: 'MDC数据'
        },
        children: []
      }
      // {
      //   path: '/task/1/3',
      //   name: 'FLYCan2',
      //   meta: {
      //     parent: 'Task',
      //     title: '警告列表'
      //   },
      //   children: []
      // }
    ]
  }
]
