export const columns = (_this) => [
  {
    prop: 'avmatCatalogCode',
    label: '航材编码'
  },
  {
    prop: 'avmatCatalogName',
    label: '航材名称（机务）'
  },
  {
    prop: 'specification',
    label: '航材型号（机务）'
  },
  {
    prop: 'mappingCode',
    label: '航材编码（机务）'
  },
  {
    prop: 'aircaftCatalogCode',
    label: '指向飞机'
  },
  {
    prop: 'unit',
    label: '计量单位'
  },
  {
    prop: 'carryQuantity',
    label: '携带总数量'
  },
  {
    prop: 'purchasePrice',
    label: '单价/元'
  },

  {
    prop: 'updateTime',
    label: '更新时间'
  }
]

export const options = {
  stripe: true, // 斑马纹
  mutiSelect: false, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  border: true,
  height: 'calc(100vh - 300px)'
}
