/**
 *
 * @param {*} _this 当前vue 的实例
 * @returns  返回一个表格配置数组
 */

export const columns = (_this) => [
  {
    prop: 'avmatCatalogName',
    label: '名称'
  },
  {
    prop: 'specification',
    label: '型号'
  },
  {
    prop: 'newProductNum',
    label: '新品数量'
  },
  {
    prop: 'repairItemsNum',
    label: '维修品数量'
  }
]

export const data = [{ id: '1', equipmentName: '发动机', model: 'ZG-1', newQuantity: '1', maintenanceQuantity: '1' }]

/**
 *
 * @returns 返回表格基础配置项
 */
export const options = {
  stripe: true, // 斑马纹
  mutiSelect: true, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  border: true,
  height: 'calc(100vh - 300px)'
}
