export const defaultProps = {
  children: 'children',
  label: 'avmatCategoriesName'
}

export const columns = (_this) => [
  {
    prop: 'avmatCatalogName',
    label: '航材名称'
  },
  {
    prop: 'avmatCatalogCode',
    label: '航材编码'
  },

  {
    button: true,
    label: '操作',
    width: '240px',
    group: [
      {
        name: '选择',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.select(row)
        }
      }
    ]
  }
]
export const options = {
  rowKey: 'avmatCatalogCode',
  stripe: true, // 斑马纹
  mutiSelect: false, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  border: true,
  height: 'calc(100vh - 380px)'
}
