export const columns = (_this) => [
  {
    prop: 'documentType',
    label: '文件类型'
  },
  {
    prop: 'fileName',
    label: '文件名称'
  },
  {
    prop: 'attributeName1',
    label: '属性名称'
  },
  {
    prop: 'attributeName2',
    label: '属性名称'
  },
  {
    prop: 'attributeName3',
    label: '属性名称'
  },
  {
    prop: 'date',
    label: '上传时间'
  },
  {
    prop: 'operatingUser',
    label: '操作用户'
  },
  {
    button: true,
    label: '操作',
    width: '240px',
    group: [
      {
        name: '删除',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.remove('删除', row)
        }
      }
    ]
  }
]

export const options = {
  stripe: true, // 斑马纹
  mutiSelect: true, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  border: true,
  height: 'calc(100vh - 350px)'
}
export const tableData = [
  { date: '2023-09-11', documentType: '案例', attributeName1: '值', attributeName2: '值', attributeName3: '值', fileName: '名称1', operatingUser: 'admin' },
  { date: '2023-09-11', documentType: '案例', attributeName1: '值', attributeName2: '值', attributeName3: '值', fileName: '名称2', operatingUser: 'admin' },
  { date: '2023-09-11', documentType: '期刊', attributeName1: '值', attributeName2: '值', attributeName3: '值', fileName: '名称3', operatingUser: 'admin' },
  { date: '2023-09-11', documentType: '案例', attributeName1: '值', attributeName2: '值', attributeName3: '值', fileName: '名称4', operatingUser: 'admin' },
  { date: '2023-09-11', documentType: '案例', attributeName1: '值', attributeName2: '值', attributeName3: '值', fileName: '名称5', operatingUser: 'admin' },
  { date: '2023-09-11', documentType: '期刊', attributeName1: '值', attributeName2: '值', attributeName3: '值', fileName: '名称6', operatingUser: 'admin' },
  { date: '2023-09-11', documentType: '案例', attributeName1: '值', attributeName2: '值', attributeName3: '值', fileName: '名称7', operatingUser: 'admin' },
  { date: '2023-09-11', documentType: '期刊', attributeName1: '值', attributeName2: '值', attributeName3: '值', fileName: '名称8', operatingUser: 'admin' },
  { date: '2023-09-11', documentType: '案例', attributeName1: '值', attributeName2: '值', attributeName3: '值', fileName: '名称9', operatingUser: 'admin' }
]

export const filesList = [
  { value: '1', label: '案例' },
  { value: '2', label: '期刊' },
  { value: '3', label: 'XX' }
]
