import Layout from '@/layout/index.vue'
/**
 *
 * FalseAlarm               虚警抑制
 * FaultDiagnosis           智能故障诊断
 */

export default [
  {
    name: 'FaultManage',
    path: '/faultManage',
    redirect: '/faultManage/',
    component: Layout,
    meta: {
      title: '故障诊断',
      icon: 'el-icon-s-platform'
    },
    children: [
      {
        name: 'FalseAlarm',
        path: '/falseAlarm',
        component: () => import('@/views/als/falseAlarm/index.vue'),
        meta: {
          parent: 'FaultManage',
          title: '虚警抑制'
        }
      },
      {
        name: 'FaultDiagnosis',
        path: '/faultDiagnosis',
        component: () => import('@/views/als/faultDiagnosis/index.vue'),
        meta: {
          parent: 'FaultManage',
          title: '智能故障诊断'
        }
      }
    ]
  }
]
