import Layout from '@/layout/index.vue'
/**
 *
 * LifetimeSpareParts               有寿件管理
 * LifePrediction           退化分析/寿命预测
 */

export default [
  {
    name: 'LifeManage',
    path: '/lifeManage',
    redirect: '/lifeManage/',
    component: Layout,
    meta: {
      title: '寿命预测',
      icon: 'el-icon-s-platform'
    },
    children: [
      {
        name: 'LifetimeSpareParts',
        path: '/lifetimeSpareParts',
        component: () => import('@/views/als/lifetimeSpareParts/index.vue'),
        meta: {
          parent: 'LifeManage',
          title: '有寿件管理'
        }
      },
      {
        name: 'LifePrediction',
        path: '/lifePrediction',
        component: () => import('@/views/als/lifePrediction/index.vue'),
        meta: {
          parent: 'LifeManage',
          title: '退化分析'
        }
      }
    ]
  }
]
