import Vue from 'vue'

// 证件类型 columns
export const agloModelList = [
  { key: '1', name: '去噪' },
  { key: '2', name: '扩充' },
  { key: '3', name: '补全' },
  { key: '4', name: '虚警抑制' },
  { key: '5', name: '故障诊断' },
  { key: '6', name: '退化评估' }
]

// 抽取状态
export const extractStatus = [
  { key: '0', name: '待分句', colorType: 'info-state' },
  { key: '1', name: '分句中', colorType: 'info-state' },
  { key: '2', name: '待抽取', colorType: 'warning-state' },
  { key: '3', name: '抽取中', colorType: 'warning-state' },
  { key: '4', name: '审核中', colorType: 'danger-state' },
  { key: '5', name: '入库中', colorType: 'danger-state' },
  { key: '6', name: '已入库', colorType: 'success-state' }
]

const enumData = {
  agloModelList,
  extractStatus
}

// 第一种方法: 集体导出 并注入到全局变量
window.enumData = Vue.prototype.$enumData = enumData
export default enumData
