export const defaultProps = {
  children: 'children',
  label: 'aircraftTypeName'
}
export const mockTableData = [
  {
    aircraftTypeName: '全部',
    parentTypeName: '',
    parentTypeId: '1',
    id: '1.1',
    numbering: '01.1',
    sequence: '1.1',
    status: 0,
    children: [
      {
        aircraftTypeName: '歼-20 TZ_001',
        parentTypeName: '全部',
        parentTypeId: '',
        id: '1',
        numbering: '01',
        sequence: '1',
        status: 1
      },
      {
        aircraftTypeName: '歼-20 TZ_002',
        parentTypeName: '全部',
        parentTypeId: '',
        id: '2',
        numbering: '02',
        sequence: '2',
        status: 1
      },
      {
        aircraftTypeName: '歼-20 TZ_003',
        parentTypeName: '全部',
        parentTypeId: '',
        id: '3',
        numbering: '03',
        sequence: '3',
        status: 1
      },
      {
        aircraftTypeName: '歼-20 TZ_004',
        parentTypeName: '全部',
        parentTypeId: '',
        id: '4',
        numbering: '04',
        sequence: '4',
        status: 1
      },
      {
        aircraftTypeName: '歼-20 TZ_005',
        parentTypeName: '全部',
        parentTypeId: '',
        id: '5',
        numbering: '05',
        sequence: '5',
        status: 1
      },
      {
        aircraftTypeName: '歼-20 TZ_006',
        parentTypeName: '全部',
        parentTypeId: '',
        id: '6',
        numbering: '06',
        sequence: '4',
        status: 1
      },
      {
        aircraftTypeName: '歼-20 TZ_007',
        parentTypeName: '全部',
        parentTypeId: '',
        id: '7',
        numbering: '07',
        sequence: '7',
        status: 1
      }
    ]
  }
]

export const tableData = [
  {
    sparePartsCoding: '201',
    sparePartsName: '后轮',
    sparePartsModel: 'J-20',
    meteringUnit: '个',
    aircraft: '001',
    sparePartsCoding: '轰炸机',
    carryQuantity: '10',
    unitPrice: '100',
    amount: '1000',
    updateTime: '2022-10-12',
    cjr: '张某某',
    hcfl: '军械'
  },
  {
    sparePartsCoding: '201',
    sparePartsName: '后轮',
    meteringUnit: '个',
    aircraft: '001',
    sparePartsModel: 'J-20',
    sparePartsCoding: 'J20',
    carryQuantity: '1',
    unitPrice: '99',
    amount: '99',
    updateTime: '2022-10-12',
    cjr: '张某某',
    hcfl: '无线电'
  }
]

export const treeObj = {
  title: '任务飞机',
  activityheight: '275px',
  searchIcon: false,
  configure: defaultProps
}

export const fjList = [
  {
    aircraftTypeName: '歼-20 TZ_001',
    parentTypeName: '全部',
    parentTypeId: '',
    id: '1',
    numbering: '01',
    sequence: '1',
    status: 1
  },
  {
    aircraftTypeName: '歼-20 TZ_002',
    parentTypeName: '全部',
    parentTypeId: '',
    id: '2',
    numbering: '02',
    sequence: '2',
    status: 1
  },
  {
    aircraftTypeName: '歼-20 TZ_003',
    parentTypeName: '全部',
    parentTypeId: '',
    id: '3',
    numbering: '03',
    sequence: '3',
    status: 1
  },
  {
    aircraftTypeName: '歼-20 TZ_004',
    parentTypeName: '全部',
    parentTypeId: '',
    id: '4',
    numbering: '04',
    sequence: '4',
    status: 1
  },
  {
    aircraftTypeName: '歼-20 TZ_005',
    parentTypeName: '全部',
    parentTypeId: '',
    id: '5',
    numbering: '05',
    sequence: '5',
    status: 1
  },
  {
    aircraftTypeName: '歼-20 TZ_006',
    parentTypeName: '全部',
    parentTypeId: '',
    id: '6',
    numbering: '06',
    sequence: '4',
    status: 1
  },
  {
    aircraftTypeName: '歼-20 TZ_007',
    parentTypeName: '全部',
    parentTypeId: '',
    id: '7',
    numbering: '07',
    sequence: '7',
    status: 1
  }
]
