export const dialogTreeObj = {
  title: '所属分类',
  activityheight: '300px',
  searchIcon: false,
  configure: {
    children: 'children',
    label: 'avmatCategoriesName'
  }
}
/**
 *
 * @param {*} _this 当前vue 的实例
 * @returns  返回一个表格配置数组
 */

export const columns = (_this) => [
  {
    prop: 'avmatCatalogName',
    label: '航材名称'
  },
  {
    prop: 'specification',
    label: '规格型号'
  },
  {
    prop: 'avmatCatalogCode',
    label: '航材编号'
  },
  {
    prop: 'avmatCategoriesName',
    label: '所属分类'
  },
  {
    prop: 'newProductAmount',
    label: '新品数量'
  },
  {
    prop: 'newProductPrice',
    label: '新品单价（万元）'
  },
  {
    prop: 'newProductTotalPrice',
    label: '新品总价（万元）'
  },
  {
    prop: 'repairItemsAmount',
    label: '维修品数量'
  },
  {
    prop: 'repairItemsPrice',
    label: '维修品单价（万元）'
  },
  {
    prop: 'repairItemsTotalPrice',
    label: '维修品总价（万元）'
  },
  {
    prop: 'totalPrice',
    label: '总价（万元）'
  }

  // ,
  // {
  //   button: true,
  //   label: '操作',
  //   group: [
  //     {
  //       name: '编辑',
  //       type: 'text',
  //       round: false,
  //       plain: false,
  //       onClick: (row, index, scope) => {
  //         _this.handUpdate(row)
  //       }
  //     },
  //     {
  //       name: '删除',
  //       type: 'text',
  //       round: false,
  //       plain: false,
  //       onClick: (row, index, scope) => {
  //         _this.handRemove(row)
  //       }
  //     }
  //   ]
  // }
]

/**
 *
 * @returns 返回表格基础配置项
 */
export const options = {
  stripe: true, // 斑马纹
  mutiSelect: false, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  border: true,
  height: 'calc(100vh - 320px)'
}
